<?php

//ini_set("memory_limit","1024M");
//set_time_limit(60000);

// get data
// connect import database

// database
$connection=mysql_connect('localhost', 'root', '1234') or die ("Verbindungsversuch fehlgeschlagen");
mysql_select_db('intelectra', $connection) or die("Konnte die Datenbank nicht waehlen.");

$query = mysql_query('SELECT * FROM items') or die("Anfrage nicht erfolgreich");
$data = array();
while($obj = mysql_fetch_object($query)) {
	$query2 = mysql_query('SELECT * FROM item_files WHERE item_id='.$obj->id.' ORDER BY rang LIMIT 1') or die("Anfrage nicht erfolgreich");
	$image = '';
	while($obj2 = mysql_fetch_object($query2)) {
		$image = $obj2->file_name;
	}
	$sql = "
		UPDATE items
		SET
			default_image_file_name='".$image."'
		WHERE id=".$obj->id."
	";
	echo "<br>".$sql;
	mysql_query($sql);
}


?>